Vorbisfile documentation | vorbisfile version 1.68 - 20030307

# ov_time_seek_page

declared in "vorbis/vorbisfile.h";

For seekable streams, this seeks to closest full page preceding the given time. This function is faster than ov_time_seek because it doesn't seek through the last few samples to reach an exact time, but it is also less accurate. This should be used when speed is important.

This function also updates everything needed within the decoder, so you can immediately call ov_read() and get data from the newly seeked to position.

This function does not work for unseekable streams.

    int ov_time_seek_page(OggVorbis_File *vf, double s);

### Parameters

vf
  Pointer to our already opened and initialized OggVorbis_File structure.
ms
  Location to seek to within the file, specified in seconds.

### Return Values

> - 0 for success
> - nonzero indicates failure, described by several error codes:
>   - OV_ENOSEEK - Bitstream is not seekable.
>   - OV_EINVAL - Invalid argument value; possibly called with an OggVorbis_File structure that isn't open.
>   - OV_EREAD - A read from media returned an error.
>   - OV_EFAULT - Internal logic fault; indicates a bug or heap/stack corruption.
>   - OV_EBADLINK - Invalid stream section supplied to libvorbisfile, or the requested link is corrupt.

copyright © 2003 Xiph.org | Ogg Vorbis
Vorbisfile documentation | vorbisfile version 1.68 - 20030307